<?php



// Category array
function PickMe_cat_array() {
    $cats = get_categories();
    $cat_array = array();
    $cat_array['all'] = esc_html__('All', 'pickme-core');
    foreach ($cats as $cat) {
        $cat_array[$cat->slug] = $cat->name;
    }
    return array_flip($cat_array);
}


// Social Share
function PickMe_social_share() { ?>
    <div class="share_title"> <?php esc_html_e('Share Post: ', 'pickme-core'); ?> </div>
    <div class="icon">
        <a href="https://facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>"><i class="fa fa-facebook"></i></a>
        <a href="https://twitter.com/intent/tweet?text=<?php the_permalink(); ?>"><i class="fa fa-twitter"></i></a>
        <a href="https://www.pinterest.com/pin/create/button/?url=<?php the_permalink() ?>"><i class="fa fa-pinterest-p"></i></a>
        <a href="https://plus.google.com/share?url=<?php the_permalink() ?>"><i class="fa fa-google-plus"></i></a>
    </div>
    <?php
}


// Font size attribute output for Shortcode
function PickMe_shortcode_style($css_property, $atts, $param='', $echo = 1) {
    if($echo == 1) {
        echo !empty($atts[$param]) ? $css_property . ': ' . $atts[$param] . ';' : '';
    }else {
        return !empty($atts[$param]) ? $css_property . ': ' . $atts[$param] . ';' : '';
    }
}

function PickMe_FontSize($atts, $param='') {
    return !empty($atts[$param]) ? 'font-size: '.$atts[$param].';' : '';
}

// Font size attribute output for Shortcode
function PickMe_BgColor($atts, $param='') {
    echo !empty($atts[$param]) ? 'background-color: '.$atts[$param].';' : '';
}

function PickMe_FontWeight($atts, $param='') {
    echo !empty($atts[$param]) ? 'font-weight: '.$atts[$param].';' : '';
}


function PickMe_Padding($atts, $param='') {
    echo !empty($atts[$param]) ? 'padding: '.$atts[$param].';' : '';
}

function PickMe_Margin($atts, $param='') {
    echo !empty($atts[$param]) ? 'margin: '.$atts[$param].';' : '';
}

// Font size attribute output for Shortcode
function PickMe_get_image_src($atts, $param='') {
    $image_id = !empty($atts[$param]) ? wp_get_attachment_image_src($atts[$param], 'full') : '';
    return isset($image_id[0]) ? $image_id[0] : '';
}

// Get slug of words
function PickMe_get_words_slug($text) {
    return str_replace(' ', '-', strtolower($text));
}



function get_pickme_search_form( $echo = true ) {
    /**
     * Fires before the search form is retrieved, at the start of get_search_form().
     *
     * @since 2.7.0 as 'get_search_form' action.
     * @since 3.6.0
     *
     * @link https://core.trac.wordpress.org/ticket/19321
     */
    do_action( 'pre_get_search_form' );

    $format = current_theme_supports( 'html5', 'search-form' ) ? 'html5' : 'xhtml';

    /**
     * Filters the HTML format of the search form.
     *
     * @since 3.6.0
     *
     * @param string $format The type of markup to use in the search form.
     *                       Accepts 'html5', 'xhtml'.
     */
    $format = apply_filters( 'search_form_format', $format );

    $search_form_template = locate_template( 'searchform.php' );
    if ( '' != $search_form_template ) {
        ob_start();
        require( $search_form_template );
        $form = ob_get_clean();
    } else {
        if ( 'html5' == $format ) {
            $form = '<form role="search" method="get" class="search-form" action="' . esc_url( home_url( '/' ) ) . '">
                <label>
                    <span class="screen-reader-text">' . _x( 'Search for:', 'label' ) . '</span>
                    <input type="search" class="search-field" placeholder="' . esc_attr_x( 'Search &hellip;', 'placeholder' ) . '" value="' . get_search_query() . '" name="s" />
                </label>
                <input type="submit" class="search-submit" value="'. esc_attr_x( 'Search', 'submit button' ) .'" />
            </form>';
        } else {
            $form = '<form role="search" method="get" id="searchform" class="searchform" action="' . esc_url( home_url( '/' ) ) . '">
                <div>
                    <label class="screen-reader-text" for="s">' . _x( 'Search for:', 'label' ) . '</label>
                    <input type="text" value="' . get_search_query() . '" name="s" id="s" />
                    <input type="submit" id="searchsubmit" value="'. esc_attr_x( 'Search', 'submit button' ) .'" />
                </div>
            </form>';
        }
    }

    /**
     * Filters the HTML output of the search form.
     *
     * @since 2.7.0
     *
     * @param string $form The search form HTML output.
     */
    $result = apply_filters( 'get_pickme_search_form', $form );

    if ( null === $result )
        $result = $form;

    if ( $echo )
        echo $result;
    else
        return $result;
}

function sidebar_search(){
    ?>
    <form action="#" class="search_form">
                                <input type="search" class="form-control widget_input" placeholder="Search">
                                <button type="submit"><i class="arrow_right"></i></button>
                            </form>
    <?php

}