<?php
/**
 * Adding Themify icon set to visual composer icon-picker
 * *******************************************************
 */


add_action( 'vc_before_init', function() {
    if (class_exists('WPBMap')) {

        add_filter('init', function () {
            $param = WPBMap::getParam('vc_icon', 'type');
            $param['value'][__('Thimify Icon', 'pickme-core')] = 'themify_icon';
            vc_update_shortcode_param('vc_icon', $param);
        }, 40);


// Add array of your fonts so they can be displayed in the font selector
        add_filter('vc_iconpicker-type-themify_icon', function () {
            return array(
                array('ti-wand' => esc_html__('Wand', 'pickme-core')),
                array('ti-volume' => esc_html__('Volume', 'pickme-core')),
                array('ti-user' => esc_html__('User', 'pickme-core')),
                array('ti-unlock' => esc_html__('Unlock', 'pickme-core')),
                array('ti-unlink' => esc_html__('Unlink', 'pickme-core')),
                array('ti-trash' => esc_html__('Trash', 'pickme-core')),
                array('ti-thought' => esc_html__('Thought', 'pickme-core')),
                array('ti-target' => esc_html__('Target', 'pickme-core')),
                array('ti-tag' => esc_html__('Tag', 'pickme-core')),
                array('ti-tablet' => esc_html__('Tablet', 'pickme-core')),
                array('ti-star' => esc_html__('Star', 'pickme-core')),
                array('ti-spray' => esc_html__('Spray', 'pickme-core')),
                array('ti-shopping-cart-full' => esc_html__('Shopping Cart Full', 'pickme-core')),
                array('ti-shopping-cart' => esc_html__('Shopping Cart', 'pickme-core')),
                array('ti-settings' => esc_html__('Settings', 'pickme-core')),
                array('ti-search' => esc_html__('Search', 'pickme-core')),
                array('ti-zoom-in' => esc_html__('Zoom In', 'pickme-core')),
                array('ti-zoom-out' => esc_html__('Zoom Out', 'pickme-core')),
                array('ti-cut' => esc_html__('Cut', 'pickme-core')),
                array('ti-ruler' => esc_html__('Ruler', 'pickme-core')),
                array('ti-ruler-pencil' => esc_html__('Ruler Pencil', 'pickme-core')),
                array('ti-ruler-alt' => esc_html__('Ruler alt', 'pickme-core')),
                array('ti-bookmark' => esc_html__('Bookmark', 'pickme-core')),
                array('ti-bookmark-alt' => esc_html__('Bookmark Alt', 'pickme-core')),
                array('ti-reload' => esc_html__('Reload', 'pickme-core')),
                array('ti-plus' => esc_html__('Plus', 'pickme-core')),
                array('ti-pin' => esc_html__('Pin', 'pickme-core')),
                array('ti-pencil' => esc_html__('Pencil', 'pickme-core')),
                array('ti-pencil-alt' => esc_html__('Pencil Alt', 'pickme-core')),
                array('ti-paint-roller' => esc_html__('Paint Roller', 'pickme-core')),
                array('ti-paint-bucket' => esc_html__('Paint Bucket', 'pickme-core')),
                array('ti-na' => esc_html__('Na', 'pickme-core')),
                array('ti-mobile' => esc_html__('Mobile', 'pickme-core')),
                array('ti-minus' => esc_html__('Minus', 'pickme-core')),
                array('ti-medall' => esc_html__('Medall', 'pickme-core')),
                array('ti-medall-alt' => esc_html__('Medall Alt', 'pickme-core')),
                array('ti-marker' => esc_html__('Marker', 'pickme-core')),
                array('ti-marker-alt' => esc_html__('Marker Alt', 'pickme-core')),
                array('ti-arrow-up' => esc_html__('Arrow Up', 'pickme-core')),
                array('ti-arrow-right' => esc_html__('Arrow Right', 'pickme-core')),
                array('ti-arrow-left' => esc_html__('Arrow Left', 'pickme-core')),
                array('ti-arrow-down' => esc_html__('Arrow Down', 'pickme-core')),
                array('ti-lock' => esc_html__('Lock', 'pickme-core')),
                array('ti-location-arrow' => esc_html__('Location Arrow', 'pickme-core')),
                array('ti-link' => esc_html__('Link', 'pickme-core')),
                array('ti-layout' => esc_html__('Layout', 'pickme-core')),
                array('ti-layers' => esc_html__('Layers', 'pickme-core')),
                array('ti-layers-alt' => esc_html__('Layers Alt', 'pickme-core')),
                array('ti-key' => esc_html__('Key', 'pickme-core')),
                array('ti-import' => esc_html__('Import', 'pickme-core')),
                array('ti-image' => esc_html__('Image', 'pickme-core')),
                array('ti-heart' => esc_html__('Heart', 'pickme-core')),
                array('ti-heart-broken' => esc_html__('Heart Broken', 'pickme-core')),
                array('ti-hand-stop' => esc_html__('Hand Stop', 'pickme-core')),
                array('ti-hand-open' => esc_html__('Hand Open', 'pickme-core')),
                array('ti-hand-drag' => esc_html__('Hand Drag', 'pickme-core')),
                array('ti-folder' => esc_html__('Folder', 'pickme-core')),
                array('ti-flag' => esc_html__('Flag', 'pickme-core')),
                array('ti-flag-alt' => esc_html__('Flag Alt', 'pickme-core')),
                array('ti-flag-alt-2' => esc_html__('Flag Alt 2', 'pickme-core')),
                array('ti-eye' => esc_html__('Eye', 'pickme-core')),
                array('ti-export' => esc_html__('Export', 'pickme-core')),
                array('ti-exchange-vertical' => esc_html__('Exchange Vertical', 'pickme-core')),
                array('ti-desktop' => esc_html__('Desktop', 'pickme-core')),
                array('ti-cup' => esc_html__('Cup', 'pickme-core')),
                array('ti-crown' => esc_html__('Crown', 'pickme-core')),
                array('ti-comments' => esc_html__('Comments', 'pickme-core')),
                array('ti-comment' => esc_html__('Comment', 'pickme-core')),
                array('ti-comment-alt' => esc_html__('Comment Alt', 'pickme-core')),
                array('ti-close' => esc_html__('Close', 'pickme-core')),
                array('ti-clip' => esc_html__('Clip', 'pickme-core')),
                array('ti-angle-up' => esc_html__('Angle Up', 'pickme-core')),
                array('ti-angle-right' => esc_html__('Angle Right', 'pickme-core')),
                array('ti-angle-left' => esc_html__('Angle Left', 'pickme-core')),
                array('ti-angle-down' => esc_html__('Angle Down', 'pickme-core')),
                array('ti-check' => esc_html__('Check', 'pickme-core')),
                array('ti-check-box' => esc_html__('Check Box', 'pickme-core')),
                array('ti-camera' => esc_html__('Camera', 'pickme-core')),
                array('ti-announcement' => esc_html__('Announcement', 'pickme-core')),
                array('ti-brush' => esc_html__('Brush', 'pickme-core')),
                array('ti-briefcase' => esc_html__('Briefcase', 'pickme-core')),
                array('ti-bolt' => esc_html__('Bolt', 'pickme-core')),
                array('ti-bolt-alt' => esc_html__('Bolt Alt', 'pickme-core')),
                array('ti-blackboard' => esc_html__('Blackboard', 'pickme-core')),
                array('ti-bag' => esc_html__('Bag', 'pickme-core')),
                array('ti-move' => esc_html__('Move', 'pickme-core')),
                array('ti-arrows-vertical' => esc_html__('Arrows Vertical', 'pickme-core')),
                array('ti-arrows-horizontal' => esc_html__('Arrows Horizontal', 'pickme-core')),
                array('ti-fullscreen' => esc_html__('Fullscreen', 'pickme-core')),
                array('ti-arrow-top-right' => esc_html__('Arrow Top Right', 'pickme-core')),
                array('ti-arrow-top-left' => esc_html__('Arrow Top Left', 'pickme-core')),
                array('ti-arrow-circle-up' => esc_html__('Arrow Circle Up', 'pickme-core')),
                array('ti-arrow-circle-right' => esc_html__('Arrow Circle Right', 'pickme-core')),
                array('ti-arrow-circle-left' => esc_html__('Arrow Circle Left', 'pickme-core')),
                array('ti-arrow-circle-down' => esc_html__('Arrow Circle Down', 'pickme-core')),
                array('ti-angle-double-up' => esc_html__('Angle Double Up', 'pickme-core')),
                array('ti-angle-double-right' => esc_html__('Angle Double Right', 'pickme-core')),
                array('ti-angle-double-left' => esc_html__('Angle Double Left', 'pickme-core')),
                array('ti-angle-double-down' => esc_html__('Angle Double Down', 'pickme-core')),
                array('ti-zip' => esc_html__('Zip', 'pickme-core')),
                array('ti-world' => esc_html__('World', 'pickme-core')),
                array('ti-wheelchair' => esc_html__('Wheelchair', 'pickme-core')),
                array('ti-view-list' => esc_html__('View List', 'pickme-core')),
                array('ti-view-list-alt' => esc_html__('View List Alt', 'pickme-core')),
                array('ti-view-grid' => esc_html__('View Grid', 'pickme-core')),
                array('ti-uppercase' => esc_html__('Uppercase', 'pickme-core')),
                array('ti-upload' => esc_html__('Upload', 'pickme-core')),
                array('ti-underline' => esc_html__('Underline', 'pickme-core')),
                array('ti-truck' => esc_html__('Truck', 'pickme-core')),
                array('ti-timer' => esc_html__('Timer', 'pickme-core')),
                array('ti-ticket' => esc_html__('Ticket', 'pickme-core')),
                array('ti-thumb-up' => esc_html__('Thumb Up', 'pickme-core')),
                array('ti-thumb-down' => esc_html__('Thumb Down', 'pickme-core')),
                array('ti-text' => esc_html__('Text', 'pickme-core')),
                array('ti-stats-up' => esc_html__('Stats Up', 'pickme-core')),
                array('ti-stats-down' => esc_html__('Stats Down', 'pickme-core')),
                array('ti-split-v' => esc_html__('Split V', 'pickme-core')),
                array('ti-split-h' => esc_html__('Split-h', 'pickme-core')),
                array('ti-smallcap' => esc_html__('Smallcap', 'pickme-core')),
                array('ti-shine' => esc_html__('Shine', 'pickme-core')),
                array('ti-shift-right' => esc_html__('Shift Right', 'pickme-core')),
                array('ti-shift-left' => esc_html__('Shift Left', 'pickme-core')),
                array('ti-shield' => esc_html__('Shield', 'pickme-core')),
                array('ti-notepad' => esc_html__('Notepad', 'pickme-core')),
                array('ti-server' => esc_html__('Server', 'pickme-core')),
                array('ti-quote-right' => esc_html__('Quote Right', 'pickme-core')),
                array('ti-quote-left' => esc_html__('Quote Left', 'pickme-core')),
                array('ti-pulse' => esc_html__('Pulse', 'pickme-core')),
                array('ti-printer' => esc_html__('Printer', 'pickme-core')),
                array('ti-power-off' => esc_html__('Power Off', 'pickme-core')),
                array('ti-plug' => esc_html__('Plug', 'pickme-core')),
                array('ti-pie-chart' => esc_html__('Pie Chart', 'pickme-core')),
                array('ti-paragraph' => esc_html__('Paragraph', 'pickme-core')),
                array('ti-panel' => esc_html__('Panel', 'pickme-core')),
                array('ti-package' => esc_html__('Package', 'pickme-core')),
                array('ti-music' => esc_html__('Music', 'pickme-core')),
                array('ti-music-alt' => esc_html__('Music Alt', 'pickme-core')),
                array('ti-mouse' => esc_html__('Mouse', 'pickme-core')),
                array('ti-mouse-alt' => esc_html__('Mouse Alt', 'pickme-core')),
                array('ti-money' => esc_html__('Money', 'pickme-core')),
                array('ti-microphone' => esc_html__('Microphone', 'pickme-core')),
                array('ti-menu' => esc_html__('Menu', 'pickme-core')),
                array('ti-menu-alt' => esc_html__('Menu Alt', 'pickme-core')),
                array('ti-map' => esc_html__('Map', 'pickme-core')),
                array('ti-map-alt' => esc_html__('Map Alt', 'pickme-core')),
                array('ti-loop' => esc_html__('Loop', 'pickme-core')),
                array('ti-location-pin' => esc_html__('Location Pin', 'pickme-core')),
                array('ti-list' => esc_html__('List', 'pickme-core')),
                array('ti-light-bulb' => esc_html__('Light Bulb', 'pickme-core')),
                array('ti-Italic' => esc_html__('Italic', 'pickme-core')),
                array('ti-info' => esc_html__('Info', 'pickme-core')),
                array('ti-infinite' => esc_html__('Infinite', 'pickme-core')),
                array('ti-id-badge' => esc_html__('Badge', 'pickme-core')),
                array('ti-hummer' => esc_html__('Hummer', 'pickme-core')),
                array('ti-home' => esc_html__('Home', 'pickme-core')),
                array('ti-help' => esc_html__('Help', 'pickme-core')),
                array('ti-headphone' => esc_html__('Headphone', 'pickme-core')),
                array('ti-harddrives' => esc_html__('Harddrives', 'pickme-core')),
                array('ti-harddrive' => esc_html__('Harddrive', 'pickme-core')),
                array('ti-gift' => esc_html__('Gift', 'pickme-core')),
                array('ti-game' => esc_html__('Game', 'pickme-core')),
                array('ti-filter' => esc_html__('Filter', 'pickme-core')),
                array('ti-files' => esc_html__('Files', 'pickme-core')),
                array('ti-file' => esc_html__('File', 'pickme-core')),
                array('ti-eraser' => esc_html__('Eraser', 'pickme-core')),
                array('ti-envelope' => esc_html__('Envelope', 'pickme-core')),
                array('ti-download' => esc_html__('Download', 'pickme-core')),
                array('ti-direction' => esc_html__('Direction', 'pickme-core')),
                array('ti-direction-alt' => esc_html__('Direction Alt', 'pickme-core')),
                array('ti-dashboard' => esc_html__('Dashboard', 'pickme-core')),
                array('ti-control-stop' => esc_html__('Control Stop', 'pickme-core')),
                array('ti-control-shuffle' => esc_html__('Control Shuffle', 'pickme-core')),
                array('ti-control-play' => esc_html__('Control Play', 'pickme-core')),
                array('ti-control-pause' => esc_html__('Control Pause', 'pickme-core')),
                array('ti-control-forward' => esc_html__('Control Forward', 'pickme-core')),
                array('ti-control-backward' => esc_html__('Control Backward', 'pickme-core')),
                array('ti-cloud' => esc_html__('Cloud', 'pickme-core')),
                array('ti-cloud-up' => esc_html__('Cloud-up', 'pickme-core')),
                array('ti-cloud-down' => esc_html__('Cloud Down', 'pickme-core')),
                array('ti-clipboard' => esc_html__('Clipboard', 'pickme-core')),
                array('ti-car' => esc_html__('Car', 'pickme-core')),
                array('ti-calendar' => esc_html__('Calendar', 'pickme-core')),
                array('ti-book' => esc_html__('Book', 'pickme-core')),
                array('ti-bell' => esc_html__('Bell', 'pickme-core')),
                array('ti-basketball' => esc_html__('Basketball', 'pickme-core')),
                array('ti-bar-chart' => esc_html__('Bar Chart', 'pickme-core')),
                array('ti-bar-chart-alt' => esc_html__('Bar Chart Alt', 'pickme-core')),
                array('ti-back-right' => esc_html__('Back Right', 'pickme-core')),
                array('ti-back-left' => esc_html__('Back Left', 'pickme-core')),
                array('ti-arrows-corner' => esc_html__('Arrows Corner', 'pickme-core')),
                array('ti-archive' => esc_html__('Archive', 'pickme-core')),
                array('ti-anchor' => esc_html__('Anchor', 'pickme-core')),
                array('ti-align-right' => esc_html__('Align Right', 'pickme-core')),
                array('ti-align-left' => esc_html__('Align Left', 'pickme-core')),
                array('ti-align-justify' => esc_html__('Align Justify', 'pickme-core')),
                array('ti-align-center' => esc_html__('Align Center', 'pickme-core')),
                array('ti-alert' => esc_html__('Alert', 'pickme-core')),
                array('ti-alarm-clock' => esc_html__('Alarm Clock', 'pickme-core')),
                array('ti-agenda' => esc_html__('Agenda', 'pickme-core')),
                array('ti-write' => esc_html__('Write', 'pickme-core')),
                array('ti-window' => esc_html__('Window', 'pickme-core')),
                array('ti-widgetized' => esc_html__('Widgetized', 'pickme-core')),
                array('ti-widget' => esc_html__('Widget', 'pickme-core')),
                array('ti-widget-alt' => esc_html__('Widget Alt', 'pickme-core')),
                array('ti-wallet' => esc_html__('Wallet', 'pickme-core')),
                array('ti-video-clapper' => esc_html__('Video Clapper', 'pickme-core')),
                array('ti-video-camera' => esc_html__('Video Camera', 'pickme-core')),
                array('ti-vector' => esc_html__('Vector', 'pickme-core')),
                array('ti-themify-logo' => esc_html__('Themify Logo', 'pickme-core')),
                array('ti-themify-favicon' => esc_html__('Themify Favicon', 'pickme-core')),
                array('ti-themify-favicon-alt' => esc_html__('Themify Favicon Alt', 'pickme-core')),
                array('ti-support' => esc_html__('Support', 'pickme-core')),
                array('ti-stamp' => esc_html__('Stamp', 'pickme-core')),
                array('ti-split-v-alt' => esc_html__('Split V Alt', 'pickme-core')),
                array('ti-slice' => esc_html__('Slice', 'pickme-core')),
                array('ti-shortcode' => esc_html__('Shortcode', 'pickme-core')),
                array('ti-shift-right-alt' => esc_html__('Shift Right Alt', 'pickme-core')),
                array('ti-shift-left-alt' => esc_html__('Shift Left Alt', 'pickme-core')),
                array('ti-ruler-alt-2' => esc_html__('Ruler Alt 2', 'pickme-core')),
                array('ti-receipt' => esc_html__('Receipt', 'pickme-core')),
                array('ti-pin2' => esc_html__('Pin2', 'pickme-core')),
                array('ti-pin-alt' => esc_html__('Pin Alt', 'pickme-core')),
                array('ti-pencil-alt2' => esc_html__('Pencil Alt2', 'pickme-core')),
                array('ti-palette' => esc_html__('Palette', 'pickme-core')),
                array('ti-more' => esc_html__('More', 'pickme-core')),
                array('ti-more-alt' => esc_html__('More Alt', 'pickme-core')),
                array('ti-microphone-alt' => esc_html__('Microphone Alt', 'pickme-core')),
                array('ti-magnet' => esc_html__('Magnet', 'pickme-core')),
                array('ti-line-double' => esc_html__('Line Double', 'pickme-core')),
                array('ti-line-dotted' => esc_html__('Line Dotted', 'pickme-core')),
                array('ti-line-dashed' => esc_html__('Line Dashed', 'pickme-core')),
                array('ti-layout-width-full' => esc_html__('Layout Width Full', 'pickme-core')),
                array('ti-layout-width-default' => esc_html__('Layout Width Default', 'pickme-core')),
                array('ti-layout-width-default-alt' => esc_html__('Layout Width Default Alt', 'pickme-core')),
                array('ti-layout-tab' => esc_html__('Layout Tab', 'pickme-core')),
                array('ti-layout-tab-window' => esc_html__('Layout Tab Window', 'pickme-core')),
                array('ti-layout-tab-v' => esc_html__('Layout Tab V', 'pickme-core')),
                array('ti-layout-tab-min' => esc_html__('Layout Tab Min', 'pickme-core')),
                array('ti-layout-slider' => esc_html__('Layout Slider', 'pickme-core')),
                array('ti-layout-slider-alt' => esc_html__('Layout Slider Alt', 'pickme-core')),
                array('ti-layout-sidebar-right' => esc_html__('Layout Sidebar Right', 'pickme-core')),
                array('ti-layout-sidebar-none' => esc_html__('Layout Sidebar None', 'pickme-core')),
                array('ti-layout-sidebar-left' => esc_html__('Layout Sidebar Left', 'pickme-core')),
                array('ti-layout-placeholder' => esc_html__('Layout Placeholder', 'pickme-core')),
                array('ti-layout-menu' => esc_html__('Layout Menu', 'pickme-core')),
                array('ti-layout-menu-v' => esc_html__('layout Menu V', 'pickme-core')),
                array('ti-layout-menu-separated' => esc_html__('Layout Menu Separated', 'pickme-core')),
                array('ti-layout-menu-full' => esc_html__('Layout Menu Full', 'pickme-core')),
                array('ti-layout-media-right-alt' => esc_html__('Layout Media Right Alt', 'pickme-core')),
                array('ti-layout-media-right' => esc_html__('Layout Media Right', 'pickme-core')),
                array('ti-layout-media-overlay' => esc_html__('Layout Media Overlay', 'pickme-core')),
                array('ti-layout-media-overlay-alt' => esc_html__('Layout Media Overlay Alt', 'pickme-core')),
                array('ti-layout-media-overlay-alt-2' => esc_html__('Layout Media Overlay Alt 2', 'pickme-core')),
                array('ti-layout-media-left-alt' => esc_html__('Layout Media Left Alt', 'pickme-core')),
                array('ti-layout-media-left' => esc_html__('Layout Media Left', 'pickme-core')),
                array('ti-layout-media-center-alt' => esc_html__('Layout Media Center Alt', 'pickme-core')),
                array('ti-layout-media-center' => esc_html__('Layout Media Center', 'pickme-core')),
                array('ti-layout-list-thumb' => esc_html__('Layout List Thumb', 'pickme-core')),
                array('ti-layout-list-thumb-alt' => esc_html__('Layout List Thumb Alt', 'pickme-core')),
                array('ti-layout-list-post' => esc_html__('Layout List Post', 'pickme-core')),
                array('ti-layout-list-large-image' => esc_html__('Layout List Large Image', 'pickme-core')),
                array('ti-layout-line-solid' => esc_html__('Layout Line Solid', 'pickme-core')),
                array('ti-layout-grid4' => esc_html__('Layout Grid4', 'pickme-core')),
                array('ti-layout-grid3' => esc_html__('Layout Grid3', 'pickme-core')),
                array('ti-layout-grid2' => esc_html__('Layout Grid2', 'pickme-core')),
                array('ti-layout-grid2-thumb' => esc_html__('Layout Grid2 Thumb', 'pickme-core')),
                array('ti-layout-cta-right' => esc_html__('Layout Cta Right', 'pickme-core')),
                array('ti-layout-cta-left' => esc_html__('Layout Cta Left', 'pickme-core')),
                array('ti-layout-cta-center' => esc_html__('Layout Cta Center', 'pickme-core')),
                array('ti-layout-cta-btn-right' => esc_html__('Layout Cta Btn Right', 'pickme-core')),
                array('ti-layout-cta-btn-left' => esc_html__('Layout Cta Btn Left', 'pickme-core')),
                array('ti-layout-column4' => esc_html__('Layout Column4', 'pickme-core')),
                array('ti-layout-column3' => esc_html__('Layout Column3', 'pickme-core')),
                array('ti-layout-column2' => esc_html__('Layout Column2', 'pickme-core')),
                array('ti-layout-accordion-separated' => esc_html__('Layout Accordion Separated', 'pickme-core')),
                array('ti-layout-accordion-merged' => esc_html__('Layout Accordion Merged', 'pickme-core')),
                array('ti-layout-accordion-list' => esc_html__('Layout Accordion List', 'pickme-core')),
                array('ti-ink-pen' => esc_html__('Ink Pen', 'pickme-core')),
                array('ti-info-alt' => esc_html__('Info Alt', 'pickme-core')),
                array('ti-help-alt' => esc_html__('Help Alt', 'pickme-core')),
                array('ti-headphone-alt' => esc_html__('Headphone Alt', 'pickme-core')),
                array('ti-hand-point-up' => esc_html__('Hand Point Up', 'pickme-core')),
                array('ti-hand-point-right' => esc_html__('Hand Point Right', 'pickme-core')),
                array('ti-hand-point-left' => esc_html__('Hand Point Left', 'pickme-core')),
                array('ti-hand-point-down' => esc_html__('Hand Point Down', 'pickme-core')),
                array('ti-gallery' => esc_html__('Gallery', 'pickme-core')),
                array('ti-face-smile' => esc_html__('Face Smile', 'pickme-core')),
                array('ti-face-sad' => esc_html__('Face Sad', 'pickme-core')),
                array('ti-credit-card' => esc_html__('Credit Card', 'pickme-core')),
                array('ti-control-skip-forward' => esc_html__('Control Skip Forward', 'pickme-core')),
                array('ti-control-skip-forward' => esc_html__('Control Skip Forward', 'pickme-core')),
                array('ti-control-skip-forward' => esc_html__('Control Skip Forward', 'pickme-core')),
                array('ti-control-record' => esc_html__('Control Record', 'pickme-core')),
                array('Control-eject' => esc_html__('Control Eject', 'pickme-core')),
                array('ti-comments-smiley' => esc_html__('Comments Smiley', 'pickme-core')),
                array('ti-brush-alt' => esc_html__('Brush Alt', 'pickme-core')),
                array('ti-youtube' => esc_html__('Youtube', 'pickme-core')),
                array('ti-vimeo' => esc_html__('Vimeo', 'pickme-core')),
                array('ti-twitter' => esc_html__('Twitter', 'pickme-core')),
                array('ti-time' => esc_html__('Time', 'pickme-core')),
                array('ti-tumblr' => esc_html__('Tumblr', 'pickme-core')),
                array('ti-skype' => esc_html__('Skype', 'pickme-core')),
                array('ti-share' => esc_html__('Share', 'pickme-core')),
                array('ti-share-alt' => esc_html__('Share Alt', 'pickme-core')),
                array('ti-rocket' => esc_html__('Rocket', 'pickme-core')),
                array('ti-pinterest' => esc_html__('Pinterest', 'pickme-core')),
                array('ti-new-window' => esc_html__('New Window', 'pickme-core')),
                array('ti-microsoft' => esc_html__('Microsoft', 'pickme-core')),
                array('ti-list-ol' => esc_html__('List Ol', 'pickme-core')),
                array('ti-linkedin' => esc_html__('Linkedin', 'pickme-core')),
                array('ti-layout-sidebar-2' => esc_html__('Layout Sidebar-2', 'pickme-core')),
                array('ti-layout-grid4-alt' => esc_html__('Layout Grid4 Alt', 'pickme-core')),
                array('ti-layout-grid3-alt' => esc_html__('Layout Grid3 Alt', 'pickme-core')),
                array('ti-layout-grid2-alt' => esc_html__('Layout Grid2 Alt', 'pickme-core')),
                array('ti-layout-column4-alt' => esc_html__('Layout Column4 Alt', 'pickme-core')),
                array('ti-layout-column3-alt' => esc_html__('Layout Column3 Alt', 'pickme-core')),
                array('ti-layout-column2-alt' => esc_html__('Layout Column2 Alt', 'pickme-core')),
                array('ti-instagram' => esc_html__('Instagram', 'pickme-core')),
                array('ti-google' => esc_html__('Google', 'pickme-core')),
                array('ti-github' => esc_html__('Github', 'pickme-core')),
                array('ti-flickr' => esc_html__('Flickr', 'pickme-core')),
                array('ti-facebook' => esc_html__('Facebook', 'pickme-core')),
                array('ti-dropbox' => esc_html__('Dropbox', 'pickme-core')),
                array('ti-dribbble' => esc_html__('Dribbble', 'pickme-core')),
                array('ti-apple' => esc_html__('Apple', 'pickme-core')),
                array('ti-android' => esc_html__('Android', 'pickme-core')),
                array('ti-save' => esc_html__('Save', 'pickme-core')),
                array('ti-save-alt' => esc_html__('Save Alt', 'pickme-core')),
                array('ti-yahoo' => esc_html__('Yahoo', 'pickme-core')),
                array('ti-wordpress' => esc_html__('Wordpress', 'pickme-core')),
                array('ti-vimeo-alt' => esc_html__('Vimeo Alt', 'pickme-core')),
                array('ti-twitter-alt' => esc_html__('Twitter Alt', 'pickme-core')),
                array('ti-tumblr-alt' => esc_html__('Tumblr Alt', 'pickme-core')),
                array('ti-trello' => esc_html__('Trello', 'pickme-core')),
                array('ti-stack-overflow' => esc_html__('Stack Overflow', 'pickme-core')),
                array('ti-soundcloud' => esc_html__('Soundcloud', 'pickme-core')),
                array('ti-sharethis' => esc_html__('Sharethis', 'pickme-core')),
                array('ti-sharethis-alt' => esc_html__('Sharethis Alt', 'pickme-core')),
                array('ti-reddit' => esc_html__('Reddit', 'pickme-core')),
                array('ti-pinterest-alt' => esc_html__('Pinterest Alt', 'pickme-core')),
                array('ti-microsoft-alt' => esc_html__('Microsoft Alt', 'pickme-core')),
                array('ti-linux' => esc_html__('Linux', 'pickme-core')),
                array('ti-jsfiddle' => esc_html__('Jsfiddle', 'pickme-core')),
                array('ti-joomla' => esc_html__('Joomla', 'pickme-core')),
                array('ti-html5' => esc_html__('Html5', 'pickme-core')),
                array('ti-flickr-alt' => esc_html__('Flickr Alt', 'pickme-core')),
                array('ti-email' => esc_html__('Email', 'pickme-core')),
                array('ti-drupal' => esc_html__('Drupal', 'pickme-core')),
                array('ti-dropbox-alt' => esc_html__('Dropbox Alt', 'pickme-core')),
                array('ti-css3' => esc_html__('Css3', 'pickme-core')),
                array('ti-rss' => esc_html__('Rss', 'pickme-core')),
                array('ti-rss-alt' => esc_html__('Rss-alt', 'pickme-core'))
            );
        });

        /**
         * Enqueue Backend and Frontend CSS Styles
         */
        add_action('vc_backend_editor_enqueue_js_css', function () {
            wp_enqueue_style('themify-icon', plugins_url('pickme-core/assets/themify-icon/themify-icons.css'));
        });
        add_action('vc_frontend_editor_enqueue_js_css', function () {
            wp_enqueue_style('themify-icon', plugins_url('pickme-core/assets/themify-icon/themify-icons.css'));
        });

        /**
         * Enqueue CSS in Frontend when it's used
         */
        add_action('vc_enqueue_font_icon_element', function ($font) {
            switch ($font) {
                case 'themify-icon':
                    wp_enqueue_style('themify-icon');
            }
        });


/**
 * Adding Linericons to Visual composer icon-picker
 * *************************************************
 */

// Add new custom font to Font Family selection in icon box module
        add_filter('init', function () {
            $param = WPBMap::getParam('vc_icon', 'type');
            $param['value'][__('Linear Icons', 'pickme-core')] = 'linearicons';
            vc_update_shortcode_param('vc_icon', $param);
        }, 40);

// Add array of your fonts so they can be displayed in the font selector
        add_filter('vc_iconpicker-type-linearicons', function () {
            return array(
                array('lnr lnr-home' => esc_html__('Home', 'pickme-core')),
                array('lnr lnr-smartphone' => esc_html__('Smart Phone', 'pickme-core')),
                array('lnr lnr-apartment' => esc_html__('Apartment', 'pickme-core')),
                array('lnr lnr-pencil' => esc_html__('Pencil', 'pickme-core')),
                array('lnr lnr-magic-wand' => esc_html__('Magic Wand', 'pickme-core')),
                array('lnr lnr-drop' => esc_html__('Drop', 'pickme-core')),
                array('lnr lnr-lighter' => esc_html__('Lighter', 'pickme-core')),
                array('lnr lnr-poop' => esc_html__('Poop', 'pickme-core')),
                array('lnr lnr-sun' => esc_html__('Sun', 'pickme-core')),
                array('lnr lnr-moon' => esc_html__('Moon', 'pickme-core')),
                array('lnr lnr-cloud' => esc_html__('Cloud', 'pickme-core')),
                array('lnr lnr-cloud-upload' => esc_html__('Cloud Upload', 'pickme-core')),
                array('lnr lnr-cloud-download' => esc_html__('Cloud Download', 'pickme-core')),
                array('lnr lnr-cloud-sync' => esc_html__('Cloud Sync', 'pickme-core')),
                array('lnr lnr-cloud-check' => esc_html__('Cloud Check', 'pickme-core')),
                array('lnr lnr-database' => esc_html__('Database', 'pickme-core')),
                array('lnr lnr-lock' => esc_html__('Lock', 'pickme-core')),
                array('lnr lnr-cog' => esc_html__('Cog', 'pickme-core')),
                array('lnr lnr-trash' => esc_html__('Trash', 'pickme-core')),
                array('lnr lnr-dice' => esc_html__('Dice', 'pickme-core')),
                array('lnr lnr-heart' => esc_html__('Heart', 'pickme-core')),
                array('lnr lnr-star' => esc_html__('Star', 'pickme-core')),
                array('lnr lnr-star-half' => esc_html__('Star Half', 'pickme-core')),
                array('lnr lnr-star-empty' => esc_html__('Star Empty', 'pickme-core')),
                array('lnr lnr-flag' => esc_html__('Flag', 'pickme-core')),
                array('lnr lnr-envelope' => esc_html__('Envelope', 'pickme-core')),
                array('lnr lnr-paperclip' => esc_html__('Paperclip', 'pickme-core')),
                array('lnr lnr-inbox' => esc_html__('Inbox', 'pickme-core')),
                array('lnr lnr-eye' => esc_html__('Eye', 'pickme-core')),
                array('lnr lnr-printer' => esc_html__('Printer', 'pickme-core')),
                array('lnr lnr-file-empty' => esc_html__('File Empty', 'pickme-core')),
                array('lnr lnr-file-add' => esc_html__('File Add', 'pickme-core')),
                array('lnr lnr-exit' => esc_html__('Exit', 'pickme-core')),
                array('lnr lnr-graduation-hat' => esc_html__('Graduation Hat', 'pickme-core')),
                array('lnr lnr-license' => esc_html__('Licence', 'pickme-core')),
                array('lnr lnr-music-note' => esc_html__('Music Note', 'pickme-core')),
                array('lnr lnr-film-play' => esc_html__('Film Play', 'pickme-core')),
                array('lnr lnr-camera-video' => esc_html__('Camera Video', 'pickme-core')),
                array('lnr lnr-camera' => esc_html__('Camera', 'pickme-core')),
                array('lnr lnr-picture' => esc_html__('Picture', 'pickme-core')),
                array('lnr lnr-book' => esc_html__('Book', 'pickme-core')),
                array('lnr lnr-bookmark' => esc_html__('Bookmark', 'pickme-core')),
                array('lnr lnr-user' => esc_html__('User', 'pickme-core')),
                array('lnr lnr-users' => esc_html__('Users', 'pickme-core')),
                array('lnr lnr-shirt' => esc_html__('Shirt', 'pickme-core')),
                array('lnr lnr-store' => esc_html__('Store', 'pickme-core')),
                array('lnr lnr-cart' => esc_html__('Cart', 'pickme-core')),
                array('lnr lnr-tag' => esc_html__('Tag', 'pickme-core')),
                array('lnr lnr-phone-handset' => esc_html__('Phone Handset', 'pickme-core')),
                array('lnr lnr-phone' => esc_html__('Phone', 'pickme-core')),
                array('lnr lnr-pushpin' => esc_html__('Pushpin', 'pickme-core')),
                array('lnr lnr-map-marker' => esc_html__('Map Marker', 'pickme-core')),
                array('lnr lnr-map' => esc_html__('Map', 'pickme-core')),
                array('lnr lnr-location' => esc_html__('Location', 'pickme-core')),
                array('lnr lnr-calendar-full' => esc_html__('Calendar Full', 'pickme-core')),
                array('lnr lnr-keyboard' => esc_html__('Keyboard', 'pickme-core')),
                array('lnr lnr-spell-chekc' => esc_html__('Spell Check', 'pickme-core')),
                array('lnr lnr-screen' => esc_html__('Screen', 'pickme-core')),
                array('lnr lnr-smartphone' => esc_html__('Smartphone', 'pickme-core')),
                array('lnr lnr-tablet' => esc_html__('Tablet', 'pickme-core')),
                array('lnr lnr-laptop' => esc_html__('Laptop', 'pickme-core')),
                array('lnr lnr-laptop-phone' => esc_html__('Laptop Phone', 'pickme-core')),
                array('lnr lnr-power-switch' => esc_html__('Power Switch', 'pickme-core')),
                array('lnr lnr-bubble' => esc_html__('Bubble', 'pickme-core')),
                array('lnr lnr-heart-pulse' => esc_html__('Heart Pulse', 'pickme-core')),
                array('lnr lnr-construction' => esc_html__('Construction', 'pickme-core')),
                array('lnr lnr-pie-chart' => esc_html__('Pie Chart', 'pickme-core')),
                array('lnr lnr-chart-bars' => esc_html__('Chart Bars', 'pickme-core')),
                array('lnr lnr-gift' => esc_html__('Gift', 'pickme-core')),
                array('lnr lnr-diamond' => esc_html__('Diamond', 'pickme-core')),
                array('lnr lnr-linearicons' => esc_html__('Linear Icons', 'pickme-core')),
                array('lnr lnr-dinner' => esc_html__('Dinner', 'pickme-core')),
                array('lnr lnr-coffee-cup' => esc_html__('Coffee Cup', 'pickme-core')),
                array('lnr lnr-leaf' => esc_html__('Leaf', 'pickme-core')),
                array('lnr lnr-paw' => esc_html__('Paw', 'pickme-core')),
                array('lnr lnr-rocket' => esc_html__('Rocket', 'pickme-core')),
                array('lnr lnr-briefcase' => esc_html__('Briefcase', 'pickme-core')),
                array('lnr lnr-bus' => esc_html__('Bus', 'pickme-core')),
                array('lnr lnr-car' => esc_html__('Car', 'pickme-core')),
                array('lnr lnr-train' => esc_html__('Train', 'pickme-core')),
                array('lnr lnr-bicycle' => esc_html__('Bicycle', 'pickme-core')),
                array('lnr lnr-wheelchair' => esc_html__('Wheelchair', 'pickme-core')),
                array('lnr lnr-select' => esc_html__('Select', 'pickme-core')),
                array('lnr lnr-earth' => esc_html__('Earth', 'pickme-core')),
                array('lnr lnr-smile' => esc_html__('Smile', 'pickme-core')),
                array('lnr lnr-sad' => esc_html__('Sad', 'pickme-core')),
                array('lnr lnr-neutral' => esc_html__('Neutral', 'pickme-core')),
                array('lnr lnr-mustache' => esc_html__('Mustache', 'pickme-core')),
                array('lnr lnr-alarm' => esc_html__('Alarm', 'pickme-core')),
                array('lnr lnr-bullborn' => esc_html__('Bullhorn', 'pickme-core')),
                array('lnr lnr-volume-high' => esc_html__('Volume High', 'pickme-core')),
                array('lnr lnr-volume-medium' => esc_html__('Volume Medium', 'pickme-core')),
                array('lnr lnr-volume-low' => esc_html__('Volume Low', 'pickme-core')),
                array('lnr lnr-volume' => esc_html__('Volume', 'pickme-core')),
                array('lnr lnr-mic' => esc_html__('Mic', 'pickme-core')),
                array('lnr lnr-hourglass' => esc_html__('Hourglass', 'pickme-core')),
                array('lnr lnr-undo' => esc_html__('Undo', 'pickme-core')),
                array('lnr lnr-redo' => esc_html__('Redo', 'pickme-core')),
                array('lnr lnr-sync' => esc_html__('Sync', 'pickme-core')),
                array('lnr lnr-history' => esc_html__('History', 'pickme-core')),
                array('lnr lnr-clock' => esc_html__('Clock', 'pickme-core')),
                array('lnr lnr-download' => esc_html__('Download', 'pickme-core')),
                array('lnr lnr-upload' => esc_html__('Upload', 'pickme-core')),
                array('lnr lnr-enter-down' => esc_html__('Enter Down', 'pickme-core')),
                array('lnr lnr-exit-up' => esc_html__('Exit Up', 'pickme-core')),
                array('lnr lnr-bug' => esc_html__('Bug', 'pickme-core')),
                array('lnr lnr-code' => esc_html__('Code', 'pickme-core')),
                array('lnr lnr-link' => esc_html__('Link', 'pickme-core')),
                array('lnr lnr-unlink' => esc_html__('Unlink', 'pickme-core')),
                array('lnr lnr-thumbs-up' => esc_html__('Thumbs Up', 'pickme-core')),
                array('lnr lnr-thumbs-down' => esc_html__('Thumbs Down', 'pickme-core')),
                array('lnr lnr-thumbs-magnifier' => esc_html__('Magnifier', 'pickme-core')),
                array('lnr lnr-cross' => esc_html__('Cross', 'pickme-core')),
                array('lnr lnr-menu' => esc_html__('Menu', 'pickme-core')),
                array('lnr lnr-list' => esc_html__('List', 'pickme-core')),
                array('lnr lnr-chevron-up' => esc_html__('Chevron Up', 'pickme-core')),
                array('lnr lnr-chevron-down' => esc_html__('Chevron Down', 'pickme-core')),
                array('lnr lnr-chevron-left' => esc_html__('Chevron Left', 'pickme-core')),
                array('lnr lnr-chevron-right' => esc_html__('Chevron Right', 'pickme-core')),
                array('lnr lnr-arrow-up' => esc_html__('Arrow Up', 'pickme-core')),
                array('lnr lnr-arrow-down' => esc_html__('Arrow Down', 'pickme-core')),
                array('lnr lnr-arrow-left' => esc_html__('Arrow Left', 'pickme-core')),
                array('lnr lnr-arrow-right' => esc_html__('Arrow Right', 'pickme-core')),
                array('lnr lnr-move' => esc_html__('Move', 'pickme-core')),
                array('lnr lnr-warning' => esc_html__('Warning', 'pickme-core')),
                array('lnr lnr-question-circle' => esc_html__('Question Circle', 'pickme-core')),
                array('lnr lnr-menu-circle' => esc_html__('Menu Circle', 'pickme-core')),
                array('lnr lnr-checkmark-circle' => esc_html__('Checkmark Circle', 'pickme-core')),
                array('lnr lnr-cross-circle' => esc_html__('Cross Circle', 'pickme-core')),
                array('lnr lnr-plus-circle' => esc_html__('Plus Circle', 'pickme-core')),
                array('lnr lnr-circle-minus' => esc_html__('Circle Minus', 'pickme-core')),
                array('lnr lnr-arrow-up-circle' => esc_html__('Arrow Up Circle', 'pickme-core')),
                array('lnr lnr-arrow-down-circle' => esc_html__('Arrow Down Circle', 'pickme-core')),
                array('lnr lnr-arrow-left-circle' => esc_html__('Arrow Left Circle', 'pickme-core')),
                array('lnr lnr-arrow-right-circle' => esc_html__('Arrow Right Circle', 'pickme-core')),
                array('lnr lnr-chevron-up-circle' => esc_html__('Chevron Up Circle', 'pickme-core')),
                array('lnr lnr-chevron-down-circle' => esc_html__('Chevron Down Circle', 'pickme-core')),
                array('lnr lnr-chevron-left-circle' => esc_html__('Chevron Left Circle', 'pickme-core')),
                array('lnr lnr-chevron-right-circle' => esc_html__('Chevron Right Circle', 'pickme-core')),
                array('lnr lnr-crop' => esc_html__('Crop', 'pickme-core')),
                array('lnr lnr-frame-expand' => esc_html__('Frame Expand', 'pickme-core')),
                array('lnr lnr-frame-contract' => esc_html__('Frame Contract', 'pickme-core')),
                array('lnr lnr-layers' => esc_html__('Layers', 'pickme-core')),
                array('lnr lnr-funnel' => esc_html__('Funnel', 'pickme-core')),
                array('lnr lnr-text-format' => esc_html__('Text Format', 'pickme-core')),
                array('lnr lnr-text-format-remove' => esc_html__('Text Format Remove', 'pickme-core')),
                array('lnr lnr-text-size' => esc_html__('Text Size', 'pickme-core')),
                array('lnr lnr-bold' => esc_html__('Bold', 'pickme-core')),
                array('lnr lnr-italic' => esc_html__('Italic', 'pickme-core')),
                array('lnr lnr-underline' => esc_html__('Underline', 'pickme-core')),
                array('lnr lnr-strikethrough' => esc_html__('Strikethrough', 'pickme-core')),
                array('lnr lnr-highlight' => esc_html__('Highlight', 'pickme-core')),
                array('lnr lnr-text-aligh-left' => esc_html__('Text Aligh left', 'pickme-core')),
                array('lnr lnr-text-aligh-center' => esc_html__('Text Aligh Center', 'pickme-core')),
                array('lnr lnr-text-aligh-right' => esc_html__('Text Aligh Right', 'pickme-core')),
                array('lnr lnr-text-aligh-justify' => esc_html__('Text Aligh Justify', 'pickme-core')),
                array('lnr lnr-line-spacing' => esc_html__('Line Spacing', 'pickme-core')),
                array('lnr lnr-indent-increase' => esc_html__('Indent Increase', 'pickme-core')),
                array('lnr lnr-indent-increase' => esc_html__('Indent Increase', 'pickme-core')),
                array('lnr lnr-indent-decrease' => esc_html__('Indent Decrease', 'pickme-core')),
                array('lnr lnr-pilcrow' => esc_html__('Pilcrow', 'pickme-core')),
                array('lnr lnr-direction-ltr' => esc_html__('Direction LTR', 'pickme-core')),
                array('lnr lnr-direction-rtl' => esc_html__('Direction RTL', 'pickme-core')),
                array('lnr lnr-page-break' => esc_html__('Page Break', 'pickme-core')),
                array('lnr lnr-sort-alpha-asc' => esc_html__('Sort Alpha ASC', 'pickme-core')),
                array('lnr lnr-sort-amount-asc' => esc_html__('Sort Amount ASC', 'pickme-core')),
                array('lnr lnr-hand' => esc_html__('Hand', 'pickme-core')),
                array('lnr lnr-pointer-up' => esc_html__('Pointer Up', 'pickme-core')),
                array('lnr lnr-pointer-right' => esc_html__('Pointer Right', 'pickme-core')),
                array('lnr lnr-pointer-down' => esc_html__('Pointer Down', 'pickme-core')),
                array('lnr lnr-pointer-left' => esc_html__('Pointer Left', 'pickme-core')),
            );
        });

        /**
         * Enqueue Backend and Frontend CSS Styles
         */
        add_action('vc_backend_editor_enqueue_js_css', function () {
            wp_enqueue_style('linearicons', plugins_url('pickme-core/assets/linear-icon/css/linearicons.css'));
        });
        add_action('vc_frontend_editor_enqueue_js_css', function () {
            wp_enqueue_style('linearicons', plugins_url('pickme-core/assets/linear-icon/css/linearicons.css'));
        });

        /**
         * Enqueue CSS in Frontend when it's used
         */
        add_action('vc_enqueue_font_icon_element', function ($font) {
            switch ($font) {
                case 'linearicons':
                    wp_enqueue_style('linearicons');
            }
        });
   


/**
 * Adding Flat Icons to Visual composer icon-picker
 * *************************************************
 */


        add_filter('init', function () {
            $param = WPBMap::getParam('vc_icon', 'type');
            $param['value'][__('Flat Icon', 'pickme-core')] = 'flat_icon';
            vc_update_shortcode_param('vc_icon', $param);
        }, 40);

        add_filter('vc_iconpicker-type-flat_icon', function () {
            return array(
               
                array('flaticon-travel' => esc_html__('Travel', 'pickme-core')),
                array('flaticon-map' => esc_html__('Map', 'pickme-core')),
                array('flaticon-hotel' => esc_html__('Hotel', 'pickme-core')),
                array('flaticon-plane' => esc_html__('Plane', 'pickme-core')),
                array('flaticon-plane-1' => esc_html__('Aroplane', 'pickme-core')),
                array('flaticon-taxi' => esc_html__('Taxi', 'pickme-core')),
                array('flaticon-bike' => esc_html__('Bike', 'pickme-core')),
                array('flaticon-gear' => esc_html__('Gear', 'pickme-core')),
                array('flaticon-car' => esc_html__('Car', 'pickme-core')),
                array('flaticon-bag' => esc_html__('Bag', 'pickme-core')),
             
            );
        });

        /**
         * Enqueue Backend and Frontend CSS Styles
         */
        add_action('vc_backend_editor_enqueue_js_css', function () {
            wp_enqueue_style('flat_icon ', plugins_url('pickme-core/assets/flaticon/font/flaticon.css'));
        });
        add_action('vc_frontend_editor_enqueue_js_css', function () {
            wp_enqueue_style('flat_icon ', plugins_url('pickme-core/assets/flaticon/font/flaticon.css'));
        });

        /**
         * Enqueue CSS in Frontend when it's used
         */
        add_action('vc_enqueue_font_icon_element', function ($font) {
            switch ($font) {
                case 'flat_icon':
                    wp_enqueue_style('flat_icon');
            }
        });
 }
});