<?php
/**
 * The sidebar containing the main widget area
 *
 * @package kitbe
 * @author Dritlab
 */

/**
 * Add kitbe Recent Post
 */

class widget_contact_info extends WP_Widget {

    public function __construct() {
        parent::__construct(
            'widget_contact_info',  // Base ID
            esc_html__( 'Kitbe:: Contact Information', 'kitbe' ),   // Name
            array( 'description' => esc_html__( 'Contact Information.', 'kitbe' ) )    // Args
        );
    }

 public function widget($args, $instance) {
        $allowed_tags = array(
            'div' => array(
                'class' =>array(),
                'id' => array()
            ),
            'h4' => array(
                'class' =>array(),
                'id' => array()
            ),
            'h2' => array(
                'class' =>array(),
                'id' => array()
            ),
        );
        extract( $args );
        $title      = isset($instance['title']) ? $instance['title'] : '';
        $address    = isset($instance['address']) ? $instance['address'] : '';
        $email     = isset($instance['email']) ? $instance['email'] : '';
        $phone    = isset($instance['phone']) ? $instance['phone'] : '';
         
        echo wp_kses($args['before_widget'], $allowed_tags);
        echo wp_kses($args['before_title'] . $instance['title'] . $args['after_title'],wp_kses_allowed_html('post'));
        ?>
        <ul class="contact_address">
            <li>
                <span class="address_left">Address:</span>
                <span class="address_right">
                 <?php echo esc_html($instance['address']) ?>
                </span>
            </li>
            <li>
                <span class="address_left">Phone:</span>
                <span class="address_right"><a href="#">
                   <?php echo esc_html($instance['phone']) ?></a>
                </span>
            </li>
            <li>
                <span class="address_left">E-mail:</span>
                <span class="address_right"><a href="mailto:<?php echo esc_html($instance['email']) ?>"><?php echo esc_html($instance['email']) ?></a> </span>
            </li>
        </ul>
        <?php
        echo wp_kses($args['after_widget'], $allowed_tags);
    }


   function update($new_instance, $old_instance) {
       $new_instance['b'] = isset($new_instance['b']);
       return $new_instance;
   }

   function form($instance) {
        $instance = wp_parse_args( (array) $instance, array( 
         'title' => '',
         'address' => '',
         'email' => '',
         'phone' => ''
         
          ) );
        
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $address = isset($instance['address']) ? esc_attr($instance['address']) : '';
        $email = isset($instance['email']) ? esc_attr($instance['email']) : '';
        $phone = isset($instance['phone']) ? esc_attr($instance['phone']) : '';
        
        ?>

       <p>
       <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','kitbe'); ?></label>
       <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
       </p>



       <p>
       <label for="<?php echo $this->get_field_id('address'); ?>"><?php _e('Address:','kitbe'); ?></label>
       <input class="widefat" id="<?php echo $this->get_field_id('address'); ?>" name="<?php echo $this->get_field_name('address'); ?>" type="text" value="<?php echo $address; ?>" />
       </p>

       <p>
       <label for="<?php echo $this->get_field_id('email'); ?>"><?php _e('email:','kitbe'); ?></label>
       <input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo $email; ?>" />
       </p>


       <p>
       <label for="<?php echo $this->get_field_id('phone'); ?>"><?php _e('phone:','kitbe'); ?></label>
       <input class="widefat" id="<?php echo $this->get_field_id('phone'); ?>" name="<?php echo $this->get_field_name('phone'); ?>" type="text" value="<?php echo $phone; ?>" />
       </p>      
        
    <?php
    }
}


// register aseo_Logo_Social_Widget
function register_kitbe_contact_info_widget() {
    register_widget('widget_contact_info');
}

add_action('widgets_init', 'register_kitbe_contact_info_widget');
