<?php
/**
 * The sidebar containing the main widget area
 *
 * @package kitbe
 * @author Dritlab
 */

/**
 * Add kitbe Popular Post
 */

class kitbe_latest_news extends WP_Widget {

    public function __construct() {
		parent::__construct(
			'kitbe_latest_news',	// Base ID
			esc_html__( 'kitbe :: Recent Post', 'kitbe' ),	// Name
			array( 'description' => esc_html__( 'Recent Post.', 'kitbe' ) )	// Args
		);
	}

  public function widget( $args, $instance ) {
		echo $args['before_widget'];
		if( ! empty( $instance['title'] ) ) {
			echo $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title'];
		}

		$recent_posts = new WP_Query( array(
			'posts_type'		=> 'post',
			'posts_per_page'	=> $instance['number'],
			'ignore_sticky_posts' => true
		) );
		if( $recent_posts->have_posts() ) : ?>
     <ul class="clearfix">
			<?php while( $recent_posts->have_posts() ) : $recent_posts->the_post(); ?>
        <li>
          <div class="small-blog clearfix">
            <a href="<?php the_permalink(); ?>" class="item-image">
              <?php the_post_thumbnail('kitbe_recent_post_130x110'); ?>
            </a>
            <div class="item-content">
              <span class="post-date"><?php echo get_the_date(); ?></span>
              <h4 class="item-title mb-0">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
              </h4>
            </div>
          </div>
        </li>
			<?php
			endwhile;
			wp_reset_postdata();
			?>
    </ul>
		<?php 
		endif;
		echo $args['after_widget'];
	}


   function update($new_instance, $old_instance) {
       $new_instance['b'] = isset($new_instance['b']);
       return $new_instance;
   }

   function form($instance) {
        $instance = wp_parse_args( (array) $instance, array(  'title' => '', 'number' => '','showimage'=>'') );
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $number = esc_attr($instance['number']);
        $showimage = esc_attr($instance['showimage']);
        ?>

       <p>
       <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','legalfirm'); ?></label>
       <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
   	   </p>

        <p>
            <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of posts','legalfirm'); ?>:</label>
            <input type="number" name="<?php echo $this->get_field_name('number'); ?>" value="<?php echo $number; ?>" class="widefat" id="<?php echo $this->get_field_id('number'); ?>" />
        </p>
         
        <p>
        	<input class="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'showimage' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'showimage' ) ); ?>" type="checkbox"<?php if(!empty($instance['showimage'])){echo "checked='checked'";} ?>>

 			 <label for="<?php echo esc_attr( $this->get_field_id( 'showimage' ) ); ?>">Display post image?</label>
		</p>
       
    <?php
    }
}


// register aseo_Logo_Social_Widget
function register_kitbe_latest_post_widget() {
    register_widget('kitbe_latest_news');
}

add_action('widgets_init', 'register_kitbe_latest_post_widget');
